﻿Imports C1.Framework
Imports C1.Win.C1Themes
Imports C1.Win.Ribbon

Public Class Form1
    Private Sub Form1_Load(sender As Object, e As EventArgs) Handles Me.Load
        setIconSet(RibbonButton1, My.Resources.svgSnapshot)
        setIconSet(RibbonButton2, My.Resources.svgSnapshot)
        C1ThemeController.ApplyThemeToObject(C1Ribbon1, C1ThemeController.GetThemeByName(C1ThemeController.GetThemes(1), True))

    End Sub
    Private Sub setIconSet(rb As RibbonButton, resource As Byte())
        rb.IconSet.Clear()
        Dim svg = System.Text.Encoding.UTF8.GetString(resource)
        setIconSetItem(rb, svg, New Drawing.Size(16, 16))
        setIconSetItem(rb, svg, New Drawing.Size(20, 20))
        setIconSetItem(rb, svg, New Drawing.Size(32, 32))
    End Sub

    Private Sub setIconSetItem(rb As RibbonButton, svg As String, size As Size)
        Dim pi = New C1PathIcon(rb.Name & "icon" & size.ToString, size, Color.Transparent, svg)
        rb.IconSet.Add(pi)
    End Sub
End Class
